Subject: Re: randconfig build error with next-20150603, in fs/xfs/xfs_inode.c

From: Dave Chinner <[email-masked]>
Date: Thu, 4 Jun 2015 13:01:03 +1000

On Wed, Jun 03, 2015 at 10:36:54PM -0400, Paul Gortmaker wrote:
> On Wed, Jun 3, 2015 at 12:31 PM, Jim Davis <[email-masked]> wrote:
> > Building with the attached random configuration file,
> >
> > fs/built-in.o: In function `xfs_ifree_cluster':
> > /home/jim/linux/fs/xfs/xfs_inode.c:2268: undefined reference to `__umoddi3'
> 
> I don't think this is specific to a particular randconfig.
> 
> On ARM allmodconfig, I saw:
> 
> ERROR: "__aeabi_uldivmod" [fs/xfs/xfs.ko] undefined!
> 
> On powerpc with an older gcc-4.5 toolchain, I saw:
> 
> /bin/sh: line 1: 23453 Segmentation fault      powerpc-linux-ld -EB -m
> elf64ppc -r -T /home/paul/git/linux-head/scripts/module-common.lds
> arch/powerpc/lib/crtsavres.o --build-id -o fs/xfs/xfs.ko fs/xfs/xfs.o
> fs/xfs/xfs.mod.o
> make[2]: *** [fs/xfs/xfs.ko] Error 139
> 
> I have not investigated further than that.

A fix is already pending. Probably be in tomorrow's linux-next
build.

Cheers,

Dave.
-- 
Dave Chinner
[email-masked]

_______________________________________________
xfs mailing list
[email-masked]
http://oss.sgi.com/mailman/listinfo/xfs